summaryrefslogtreecommitdiffstats
path: root/chromium/third_party/skia/platform_tools/barelinux/bin/download_deps
diff options
context:
space:
mode:
Diffstat (limited to 'chromium/third_party/skia/platform_tools/barelinux/bin/download_deps')
-rwxr-xr-xchromium/third_party/skia/platform_tools/barelinux/bin/download_deps29
1 files changed, 29 insertions, 0 deletions
diff --git a/chromium/third_party/skia/platform_tools/barelinux/bin/download_deps b/chromium/third_party/skia/platform_tools/barelinux/bin/download_deps
new file mode 100755
index 00000000000..06769613b30
--- /dev/null
+++ b/chromium/third_party/skia/platform_tools/barelinux/bin/download_deps
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# Copyright 2014 Google Inc.
+#
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# download_deps - download Skia's dependencies for a bare Linux system
+# (the normal dependecies plus giflib, libpng, and zlib.)
+
+try() {
+ # print an error on nonzero return code
+ "$@"
+ local ret=$?
+ if [ $ret != 0 ] ; then
+ echo "'$@' failed and returned ${ret}." >&2
+ return $ret
+ fi
+}
+
+try command -v gclient > /dev/null || exit
+cd "$(dirname "$0")/../../.."
+
+try gclient config --unmanaged --name . \
+ 'https://skia.googlesource.com/skia.git' || exit
+
+echo 'target_os = ["barelinux"]' >> ./.gclient
+
+try gclient sync --jobs=1 || exit